<div align="center">
<a href="https://spekni.vercel.app"><img src="https://user-images.githubusercontent.com/62628408/180232284-6f172c0b-6b34-4189-819d-4d270424003f.svg" width="60px"></a>
</div>

<div align="center">
<h1>Spekni</h1>
<p>Recognition platform built for developer endorsements</p>
</div>

<p align="center">
<a href="https://vercel.com/evavic44/spekni/4g6cAgSJ2JQcGxpwQew77Ny9jDdC">
  <img src="https://user-images.githubusercontent.com/62628408/178318439-dd015ff3-5ebd-43d8-a84f-6f6d4876a5b0.svg" width="130px">
</a>

<a href="https://prisma.io/">
    <img src="https://img.shields.io/badge/Prisma-3982CE?style=for-the-badge&logo=Prisma&logoColor=white">
</a>

<a href="https://prettier.io/">
    <img src="https://img.shields.io/badge/prettier-1A2C34?style=for-the-badge&logo=prettier&logoColor=F7BA3E">
</a>
    
<a href="https://hashnode.com">
<img alt="code style: prettier" src="https://img.shields.io/badge/Hashnode-2962FF?style=for-the-badge&logo=hashnode&logoColor=white">
</a>

<a href="https://vercel.com/evavic44/spekni/4g6cAgSJ2JQcGxpwQew77Ny9jDdC">
    <img src="https://user-images.githubusercontent.com/62628408/178316423-5dc0c0bb-2ebb-4c7f-9635-164a324d4897.svg" width="150px">
</a>      
</p>

<a href="https://spekni.vercel.app">
<img src="https://user-images.githubusercontent.com/62628408/180232616-d2ab3cba-e5f8-4b2d-bfa0-8b2b12059f23.png" alt="Spekni">
</a>

# Tech Stack

- 🎯 [NextJS](https://nextjs.org) - UI framework
- ☑️ [Vercel](https://vercel.com) - Hosting and deployment
- 🔒 [NextAuth.js](https://nextauth.io): GitHub and Google Authentication
- 📦 [PlanetScale](https://planetscale.io): Database Storage & API
- 💅🏽 [TailwindCSS](https://tailwindcss.com) /CSS - Styling and UI
- 🗃️ [Prisma](https://prism.io): database schema design
- 🎥 [Remotion](https://www.remotion.dev/): Video Embed
- ☀️ [Next Themes](https://github.com/pacocoursey/next-themes): Color Theme
- 🎭 [Cloudinary](https://cloudinary.com) - Cloud media storage
- 🖼️ [Lazyload NPM package](https://lazyload.com): Image optimization

# How to run locally
Follow these steps below to run Spekni locally in your machine.

```bash
git clone https://github.com/Evavic44/spekni.git
cd spekni

cd src
npm install
npm run dev
```

Open [http://localhost:3000](http://localhost:3000) in your browser to see the result.

## Build

```bash
npm run build
```

## Style Guide
![ui guide](https://user-images.githubusercontent.com/62628408/182064851-e98f5a69-f4d6-4884-acd2-312897446f02.png)

# Database
Database provided by Planetscale 
![database_diagram](https://user-images.githubusercontent.com/62628408/182067005-07140cce-bc30-4b84-9ef3-8bd5c28be8a8.png)

## Contributing

Are you contributing to this project, please ensure all pull requests and contributions comply with our <a href="https://github.com/Evavic44/spekni/blob/main/CONTRIBUTING.md">guidelines</a>. Before making any changes, ensure you have raised an issue here, unless it is a minimal change.

## 🔐 License

This project is protected by <a href="https://github.com/Evavic44/spekni/blob/main/LICENSE">MIT License</a>.

If you like this project, kindly star ⭐ and share this project. It means the world to us. <br><br>

<p align="center">This project was built for the <a href="https://planetscale.com">Planetscale</a> and <a href="https://hashnode.com">Hashnode</a> hackathon</a>
